[vala/0.50] testrunner: Include Gio-2.0/gio-2.0 for GIR tests too



commit 9955516348b7cb54793c510ee26bcdbe089b2ed8
Author: Rico Tzschichholz <ricotz ubuntu com>
Date:   Fri Mar 5 19:32:38 2021 +0100

    testrunner: Include Gio-2.0/gio-2.0 for GIR tests too

 build-aux/testrunner.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
---
diff --git a/build-aux/testrunner.sh b/build-aux/testrunner.sh
index dd97adb08..6c31fbe76 100755
--- a/build-aux/testrunner.sh
+++ b/build-aux/testrunner.sh
@@ -105,6 +105,7 @@ function sourceheader() {
                        xmlns:glib="http://www.gtk.org/introspection/glib/1.0";>
   <include name="GLib" version="2.0"/>
   <include name="GObject" version="2.0"/>
+  <include name="Gio" version="2.0"/>
   <c:include name="test.h"/>
   <namespace name="Test"
                         version="1.2"
@@ -130,7 +131,8 @@ function sourceend() {
                        echo "  </namespace>" >> $SOURCEFILE
                        echo "</repository>" >> $SOURCEFILE
                fi
-               echo "$VAPIGEN $VAPIGENFLAGS --library $ns $ns.gir && tail -n +5 $ns.vapi|sed '\$d'|diff -wu 
$ns.vapi.ref -" > check
+               PACKAGEFLAGS=$([ -z "$PACKAGES" ] || echo $PACKAGES | xargs -n 1 echo -n " --pkg")
+               echo "$VAPIGEN $VAPIGENFLAGS $PACKAGEFLAGS --library $ns $ns.gir && tail -n +5 $ns.vapi|sed 
'\$d'|diff -wu $ns.vapi.ref -" > check
        else
                PACKAGEFLAGS=$([ -z "$PACKAGES" ] || echo $PACKAGES | xargs -n 1 echo -n " --pkg")
                echo "$VALAC $VALAFLAGS $PACKAGEFLAGS -o $ns$EXEEXT $SOURCEFILE" >> prepare


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]